unit Fonts;
{ This unit links all the BGI graphics fonts into a single TPU file and
    registers them so it can be used.}
interface
uses Graph ;

procedure GothicFontProc;
procedure SansSerifFontProc;
procedure SmallFontProc;
procedure TriplexFontProc;

implementation

procedure GothicFontProc; external;
{$L GOTH.OBJ }

procedure SansSerifFontProc; external;
{$L SANS.OBJ }

procedure SmallFontProc; external;
{$L LITT.OBJ }

procedure TriplexFontProc; external;
{$L TRIP.OBJ }

Begin { Fonts Unit }
  { Register all the fonts }
  if RegisterBGIfont(@GothicFontProc) < 0 then
    Writeln('Gothic - is missing' );
  if RegisterBGIfont(@SansSerifFontProc) < 0 then
    Writeln('SansSerif - is missing');
  if RegisterBGIfont(@SmallFontProc) < 0 then
    Writeln('Small - is missing');
  if RegisterBGIfont(@TriplexFontProc) < 0 then
    Writeln('Triplex - is missing');
end.  { Fonts Unit }
